com.ibm.openpages.api.workflow

## Interface IWorkflowFactory

-     public interface IWorkflowFactory

  Represents the factory for the workflow object to be persisted on the system

  Since:
    8.0.0.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IWFAction` | `createAction(WFActionType type)` Create a new instance of action to be persisted on the system
    `IWFActivity` | `createActivity(java.lang.String name, WFActivityType type)` Creates a new instance of activity to be persisted on the system
    `IWFActivityInstanceFindOptions` | `createActivityInstanceFindOptions()` Creates a default instance for the ActivityInstanceFindOptions
    `IWFActivityNotificationDefinition` | `createActivityNotificationDefinition()` Creates a new instance of a workflow activity notification definition
    `IWFActivityNotificationFindOptions` | `createActivityNotificationFindOptions()` Creates a new instance of find options for workflow activity notification instances
    `IWFCustomActionDef` | `createCustomActionDef(java.lang.String actionClass)` Create a new instance of custom action definition to be persisted on the system
    `IWFCustomProperty` | `createCustomProperty(java.lang.String name, java.lang.String value)` Create a new instance of a custom property to be persisted on the system
    `IWFEvalUnit` | `createEvalUnit(WFEvalType type)` Create a new instance of evaluation unit.
    `IWFFieldSetter` | `createFieldSetter(IWFObjectFieldEval field)` Create a new instance of field setter to be persisted on the system
    `IWFProcessDefinition` | `createProcessDefinition(java.lang.String name, Id typeId)` Creates a new instance of process definition to be persisted on the system
    `IWFProcessDefinitionFindOptions` | `createProcessDefinitionFindOptions()` Creates a default instance for the ProcessDefinitionFindOptions
    `IWFSearchInCondition` | `createSearchInCondition(WFConditionAttribute newAttribute)`
    `IWFSearchCondition` | `createSearchRangeCondition(WFConditionAttribute newAttribute, java.util.Date lowValue, java.util.Date highValue)`
    `IWFSearchCondition` | `createSearchRangeCondition(WFConditionAttribute newAttribute, int lowValue, int highValue)`
    `IWFSearchCondition` | `createSearchSimpleCondition(WFConditionAttribute newAttribute, int newOperator, java.util.Date newValue)`
    `IWFSearchCondition` | `createSearchSimpleCondition(WFConditionAttribute newAttribute, int newOperator, int newValue)` Creates a new instance for workflow SearchCondition
    `IWFSearchCondition` | `createSearchSimpleCondition(WFConditionAttribute newAttribute, int newOperator, java.lang.String newValue)` Creates a new instance for workflow SearchCondition
    `IWFStringEval` | `createStringEval(java.lang.String value)` Create a new instance of string evaluation unit
    `IWFTransition` | `createTransition(java.lang.String name, java.lang.String targetActivity)` Create a new instance of transition to be persisted on the system
    `IWFTransitionOptions` | `createTransitionOptions()` Create a new instance of a transition options container.
    `IWFTransitionOptions` | `createTransitionOptions(java.lang.String comment)` Create a new instance of a transition options container.

- - ### Method Detail

    - #### createProcessDefinition

          IWFProcessDefinition createProcessDefinition(java.lang.String name,
                                                       Id typeId)

      Creates a new instance of process definition to be persisted on the system
      Parameters:
        `name` - - name of the process definition, which has to be unique among the process definitions for the same type definition
        `typeId` - - Id of `ITypeDefinition`
      Returns:
        on-memory process definition instance

    - #### createActivity

          IWFActivity createActivity(java.lang.String name,
                                     WFActivityType type)

      Creates a new instance of activity to be persisted on the system
      Parameters:
        `name` - - name of the activity, which has to be unique under a process definition
        `type` - - `WFActivityType`
      Returns:
        on-memory activity instance

    - #### createTransition

          IWFTransition createTransition(java.lang.String name,
                                         java.lang.String targetActivity)

      Create a new instance of transition to be persisted on the system
      Parameters:
        `name` - - name of the transition, which has to be unique under an activity
        `targetActivity` - - name of the target activity name, or null when the transition completes the process instance
      Returns:
        on-memory transition instance

    - #### createAction

          IWFAction createAction(WFActionType type)

      Create a new instance of action to be persisted on the system
      Parameters:
        `type` - - `WFActionType`
      Returns:
        on-memory action instance

    - #### createCustomActionDef

          IWFCustomActionDef createCustomActionDef(java.lang.String actionClass)

      Create a new instance of custom action definition to be persisted on the system
      Parameters:
        `actionClass` - - full name of the action class to be used.
      Returns:
        on-memory custom action definition instance

    - #### createCustomProperty

          IWFCustomProperty createCustomProperty(java.lang.String name,
                                                 java.lang.String value)

      Create a new instance of a custom property to be persisted on the system
      Parameters:
        `name` - - name of the property
        `value` - - value of the property
      Returns:
        on-memory custom property instance

    - #### createFieldSetter

          IWFFieldSetter createFieldSetter(IWFObjectFieldEval field)

      Create a new instance of field setter to be persisted on the system
      Parameters:
        `field` - - object field identifier such as "System Fields:Description"
      Returns:
        on-memory field setter instance

    - #### createProcessDefinitionFindOptions

          IWFProcessDefinitionFindOptions createProcessDefinitionFindOptions()

      Creates a default instance for the ProcessDefinitionFindOptions
      Returns:

    - #### createActivityInstanceFindOptions

          IWFActivityInstanceFindOptions createActivityInstanceFindOptions()

      Creates a default instance for the ActivityInstanceFindOptions
      Returns:

    - #### createSearchSimpleCondition

          IWFSearchCondition createSearchSimpleCondition(WFConditionAttribute newAttribute,
                                                         int newOperator,
                                                         java.lang.String newValue)

      Creates a new instance for workflow SearchCondition
      Parameters:
        `newAttribute` - - attribute to be searched
        `newOperator` - - search operator
        `newValue` - - search value
      Returns:

    - #### createSearchSimpleCondition

          IWFSearchCondition createSearchSimpleCondition(WFConditionAttribute newAttribute,
                                                         int newOperator,
                                                         int newValue)

      Creates a new instance for workflow SearchCondition
      Parameters:
        `newAttribute` - - attribute to be searched
        `newOperator` - - search operator
        `newValue` - - search value
      Returns:

    - #### createSearchSimpleCondition

          IWFSearchCondition createSearchSimpleCondition(WFConditionAttribute newAttribute,
                                                         int newOperator,
                                                         java.util.Date newValue)

      Parameters:
        `newAttribute` -
        `newOperator` -
        `newValue` -
      Returns:

    - #### createSearchRangeCondition

          IWFSearchCondition createSearchRangeCondition(WFConditionAttribute newAttribute,
                                                        int lowValue,
                                                        int highValue)

      Parameters:
        `newAttribute` -
        `lowValue` -
        `highValue` -
      Returns:

    - #### createSearchRangeCondition

          IWFSearchCondition createSearchRangeCondition(WFConditionAttribute newAttribute,
                                                        java.util.Date lowValue,
                                                        java.util.Date highValue)

      Parameters:
        `newAttribute` -
        `lowValue` -
        `highValue` -
      Returns:

    - #### createSearchInCondition

          IWFSearchInCondition createSearchInCondition(WFConditionAttribute newAttribute)

      Parameters:
        `newAttribute` -
      Returns:

    - #### createEvalUnit

          IWFEvalUnit createEvalUnit(WFEvalType type)

      Create a new instance of evaluation unit. An evaluation unit defines assignees to set, conditions to evaluate, or values to set to an object field, which is evaluated in the process/activity instance context.
      Parameters:
        `type` -
      Returns:

    - #### createStringEval

          IWFStringEval createStringEval(java.lang.String value)

      Create a new instance of string evaluation unit
      Parameters:
        `value` -
      Returns:

    - #### createTransitionOptions

          IWFTransitionOptions createTransitionOptions(java.lang.String comment)

      Create a new instance of a transition options container. TransitionOptions allows for additional information to be included when transitioning an activity.
      Parameters:
        `comment` -
      Returns:
      Since:
        8.1

    - #### createTransitionOptions

          IWFTransitionOptions createTransitionOptions()

      Create a new instance of a transition options container. TransitionOptions allows for additional information to be included when transitioning an activity.
      Returns:
      Since:
        8.1

    - #### createActivityNotificationFindOptions

          IWFActivityNotificationFindOptions createActivityNotificationFindOptions()

      Creates a new instance of find options for workflow activity notification instances
      Returns:
        an instance of `IWFActivityNotificationFindOptions`
      Since:
        8.2.0.1

    - #### createActivityNotificationDefinition

          IWFActivityNotificationDefinition createActivityNotificationDefinition()

      Creates a new instance of a workflow activity notification definition
      Returns:
        an instance of `IWFActivityNotificationDefinition`
      Since:
        8.2.0.1

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.